package org.antlr.codegen;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.antlr.codegen.Target;

public class JavaScriptTarget extends Target {
  public String encodeIntAsCharEscape(int v) {
    String hex = Integer.toHexString(v | 0x10000).substring(1, 5);
    return "\\u" + hex;
  }
  
  public String getTarget64BitStringFromValue(long word) {
    StringBuffer buf = new StringBuffer(22);
    buf.append("0x");
    writeHexWithPadding(buf, Integer.toHexString((int)(word & 0xFFFFFFFFL)));
    buf.append(", 0x");
    writeHexWithPadding(buf, Integer.toHexString((int)(word >> 32L)));
    return buf.toString();
  }
  
  private void writeHexWithPadding(StringBuffer buf, String digits) {
    digits = digits.toUpperCase();
    int padding = 8 - digits.length();
    for (int i = 1; i <= padding; i++)
      buf.append('0'); 
    buf.append(digits);
  }
}
